Pendahuluan

HP Driver Deployment Utility (DDU) memungkinkan administrator membuat paket penginstalan driver untuk diinstal di latar belakang, tanpa harus ditunggu oleh pengguna akhir. Utilitas ini mendukung penambahan driver cetak ke penyimpanan driver Windows dan membuat entri dalam folder Printer. DDU mendukung driver cetak khusus yang digunakan dengan Add Printer Wizard dari Microsoft. Semua saran dan batasan sertifikasi Microsoft akan diberlakukan.

Antarmuka Pengguna terbagi dalam 3 bagian:

  1. ‘Sumber Paket’ menjelaskan jenis paket dan lokasi driver yang akan dibuat
  2. ‘Sasaran Paket’ mengidentifikasi nama dan lokasi paket penginstalan
  3. ‘Buat Paket’ memulai proses pembuatan paket


Sumber Paket

Direktori Driver

Gunakan tombol ‘Pilih Driver …’ untuk memilih file inf dalam direktori driver dengan menelusuri atau mengetiknya. Anda hanya dapat menggunakan satu paket driver dalam direktori tersebut karena utilitas ini akan mengemas semua file yang ditemukan dalam direktori (dan sub direktori) tersebut menjadi file yang dapat dieksekusi. Jika Anda telah men-download paket driver yang dikompresi, Anda harus membukanya sebelum menggunakan utilitas ini.

Pada beberapa kasus, Anda mungkin memiliki beberapa file inf driver dalam direktori yang sama (misalnya, satu untuk printer warna dan yang lain untuk printer monokrom). Pada kasus ini, dialog tambahan memungkinkan Anda memilih driver yang akan dikemas.

Anda juga akan menerima peringatan jika direktori berukuran besar. Kondisi ini akan mencegah Anda mengemas lebih dari satu driver. Anda dapat melanjutkan pada tahap ini jika direktori berisi semua file yang diinginkan atau diperlukan.

Setelah direktori driver dipilih dan salah satu driver ditemukan, direktori dan informasi driver akan ditampilkan.

Untuk driver yang mendukung prakonfigurasi, kotak centang di bawah ini akan diaktifkan. Menandai kotak ini akan menjalankan dialog konfigurasi setelah tombol ‘Buat Paket’ dipilih.

Jenis Penginstalan

‘Pemuatan awal driver– adalah opsi untuk pengguna yang akan menggunakan koneksi langsung, seperti kabel USB. Aktivitas Plug and Play berikutnya akan diperlukan untuk menginstal driver, namun paket ini akan menginstal semua file dalam penyimpanan driver Windows untuk digunakan kemudian. CATATAN: Jika ditemukan beberapa driver untuk perangkat, Sistem Operasi akan menentukan driver yang paling sesuai untuk aktivitas Plug and Play, atau menampilkan dialog pemilihan driver bagi pengguna.

Secara default, file yang dapat dieksekusi akan dijalankan dengan dialog progres. Untuk menonaktifkan dialog progres, jalankan file yang dapat dieksekusi dengan "/q" pada baris perintah. Jika Anda ingin meminta pengguna akhir untuk menghubungkan printer setelah penginstalan selesai, pilih kotak centang ‘Tampilkan prompt untuk menghubungkan printer’.

Untuk printer yang menggunakan koneksi jaringan, pilih opsi ‘Buat port jaringan, lalu instal driver’. Tombol ‘Pengaturan Jaringan’ akan diaktifkan, dan Anda harus mengklik tombol tersebut untuk memasukkan pengaturan jaringan yang diperlukan.

Pengaturan Jaringan

Anda harus mengenali printer jaringan dengan salah satu atau beberapa metode berikut ini. Utilitas ini tidak berkomunikasi dengan perangkat untuk menentukan ketepatan pengaturan, namun menjalankan pemeriksaan sintaks. (Untuk memungkinkan pencarian kembali perangkat, pastikan Alamat Perangkat Keras telah ditetapkan.)

Alamat IP:

Masukkan alamat IPv4 atau IPv6 printer

Alamat Perangkat Keras:

Masukkan alamat perangkat keras printer

Nama Host:

Masukkan nama host printer

Pengaturan jaringan berikut ini bersifat tambahan: Anda dapat menerima atau mengubah setiap nilai default yang telah dimasukkan.

Nama Port:

Merupakan nama port jaringan yang akan dibuat. Jika nama yang sama sudah ada, nomor akan ditambahkan untuk membuatnya unik.

Nama Printer:

Merupakan nama printer yang akan ditampilkan dalam folder printer. Jika nama yang sama sudah ada, nomor akan ditambahkan untuk membuatnya unik.

Atur printer ini sebagai printer default:

Ya - akan membuat printer ini sebagai printer default bila mencetak dari aplikasi lain.

Tidak - akan mempertahankan printer default yang aktif, kecuali jika hanya printer ini yang terinstal.

Berbagi printer ini:

Ya - akan memungkinkan orang lain untuk menggunakan printer ini.

Nama Bersama:

Nama bersama untuk printer. Hanya diaktifkan jika ‘Berbagi printer ini’ diatur ke Ya. Jika nama yang sama sudah ada, nomor akan ditambahkan untuk membuatnya unik.


Sasaran Paket

Pilih tombol ‘Simpan Sebagai…’ untuk memasukkan nama dan lokasi paket yang dihasilkan. Utilitas ini akan membuat paket dalam direktori sementara, kemudian memindahkannya ke lokasi akhir. Paket ini terdiri dari 2 file yang harus dikirimkan bersama: file .exe dan file .cab.

File penjelasan xml yang sesuai berisi rincian paket tersebut juga akan disalin ke lokasi akhir. Paket xml hanya sebagai informasi dan tidak digunakan oleh DDU saat proses eksekusi berlangsung.


Buat Paket

Pilih tombol ‘Buat Paket’ setelah Anda memasukkan semua informasi di atas. Tombol ini akan dinonaktifkan hingga Anda memasukkan informasi yang diperlukan.Setelah dipilih, tombol ‘Batal’ dan baris ‘Progres’ akan diaktifkan.

Untuk menghentikan pembuatan paket, pilih tombol ‘Batal’.

File yang dapat dieksekusi akan dijalankan dengan dialog progres, dan jika diminta pengguna, printer akan terhubung secara langsung. Jika terjadi kesalahan selama proses eksekusi berlangsung, dialog kesalahan akan ditampilkan. Untuk menghilangkan dialog kesalahan, Anda harus memilih kotak centang ‘Hilangkan semua pesan kesalahan pengguna akhir’.


Catatan Tambahan:

Untuk menutup aplikasi ini, gunakan tombol tutup Windows di sudut kanan atas.


OS yang Didukung

Microsoft Windows 7

Microsoft Windows 7 Edisi 64-Bit

Microsoft Windows Server 2008 R2 Edisi 64-Bit

Microsoft Windows 8

Microsoft Windows 8 Edisi 64-Bit

Microsoft Windows Server 2012 Edisi 64-Bit

Microsoft Windows Server 2012 R2 Edisi 64-Bit

Microsoft Windows 8.1

Microsoft Windows 8.1 Edisi 64-Bit

Microsoft Windows Server 2016 Edisi 64-Bit

Microsoft Windows 10

Microsoft Windows 10 Edisi 64-Bit

Microsoft Windows Server 2019 Edisi 64-Bit


Opsi Baris Perintah

Paket pengguna akhir dapat dimodifikasi dengan menambahkan switch baris perintah. Switch baris perintah dapat digabungkan jika terpisah oleh spasi. Pesan kesalahan akan ditampilkan jika baris perintah berisi kesalahan, misalnya karakter tidak valid atau pemformatan tidak tepat. Switch baris perintah yang tidak tepat akan diabaikan. Keterangan baris perintah berikut juga tersedia (dalam bahasa Inggris) dengan menjalankan paket pengguna akhir melalui “/?”.

Paket standar mendukung opsi baris perintah sebagai berikut:

/? menampilkan informasi baris perintah (hanya dalam bahasa Inggris)

/q menghilangkan panel progres

/p meminta pengguna untuk menghubungkan printer

/s menghilangkan pesan kesalahan pengguna akhir

Paket printer jaringan mendukung opsi baris perintah sebagai berikut:

/? menampilkan informasi baris perintah (hanya dalam bahasa Inggris)

/q menghilangkan panel progres

/s menghilangkan pesan kesalahan pengguna akhir

/ip <ip address> menggunakan alamat IP yang ditetapkan untuk mengidentifikasi printer, misalnya /ip 120.25.5.56

/hw <hardware address> menggunakan alamat perangkat keras yang ditetapkan untuk mengidentifikasi printer, misalnya /hw 0001E6299128

/hn <hostname> menggunakan nama host yang ditetapkan untuk mengidentifikasi printer, misalnya /hn Myhostname

Nama host tidak boleh melebihi 255 karakter dan hanya dapat berisi karakter:A-Z, a-z, 0-9, dan tanda hubung (-).

/pn <portname> menggunakan nama yang ditetapkan sebagai nama port, misalnya /pn HPPort

Nama port tidak dapat menggunakan spasi dan tidak boleh melebihi 128 karakter.

/n ”<printername>” menggunakan nama yang ditetapkan sebagai nama printer, misalnya /n "HP LaserJet 8150"

Nama printer harus diapit dalam tanda kutip, tidak boleh melebihi 40 karakter, dan tidak dapat berisi salah satu dari karakter khusus berikut: ! # ,

/d mengatur printer ini sebagai default

/sn ”<sharename>” mengaktifkan berbagi dan menggunakan nama yang ditetapkan sebagai nama bersama untuk printer, misalnya /sn ”My shared HP LaserJet 8150”

Nama bersama harus diapit dalam tanda kutip, tidak boleh melebihi 80 karakter, dan tidak dapat berisi salah satu dari karakter khusus berikut: / \ : ; “ ? * + = < > [ ]

© Hak Cipta 2019 HP Development Company, L.P.